Libosmium: osmium::indirect_iterator< TBaseIterator, TValue > Class Template Reference

Libosmium Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
osmium::indirect_iterator< TBaseIterator, TValue > Class Template Reference

`#include <object_pointer_collection.hpp>`

Inheritance diagram for osmium::indirect_iterator< TBaseIterator, TValue >:
[legend]
Collaboration diagram for osmium::indirect_iterator< TBaseIterator, TValue >:
[legend]

## Public Types
using | iterator_category = std::random_access_iterator_tag
using | value_type = TValue
using | difference_type = std::ptrdiff_t
using | pointer = value_type*
using | reference = value_type&

## Public Member Functions
| indirect_iterator (TBaseIterator it)
reference | operator* () const noexcept
pointer | operator-> () const noexcept

## Member Typedef Documentation

## ◆ difference_type

template<typename TBaseIterator, typename TValue>

using osmium::indirect_iterator< TBaseIterator, TValue >::difference_type = std::ptrdiff_t

## ◆ iterator_category

template<typename TBaseIterator, typename TValue>

using osmium::indirect_iterator< TBaseIterator, TValue >::iterator_category = std::random_access_iterator_tag

## ◆ pointer

template<typename TBaseIterator, typename TValue>

using osmium::indirect_iterator< TBaseIterator, TValue >::pointer = value_type*

## ◆ reference

template<typename TBaseIterator, typename TValue>

using osmium::indirect_iterator< TBaseIterator, TValue >::reference = value_type&

## ◆ value_type

template<typename TBaseIterator, typename TValue>

using osmium::indirect_iterator< TBaseIterator, TValue >::value_type = TValue

## Constructor & Destructor Documentation

## ◆ indirect_iterator()

template<typename TBaseIterator, typename TValue>

osmium::indirect_iterator< TBaseIterator, TValue >::indirect_iterator | ( | TBaseIterator | it | ) |
| inlineexplicit

## Member Function Documentation

## ◆ operator*()

template<typename TBaseIterator, typename TValue>

reference osmium::indirect_iterator< TBaseIterator, TValue >::operator* | ( |  | ) | const
| inlinenoexcept

## ◆ operator->()

template<typename TBaseIterator, typename TValue>

pointer osmium::indirect_iterator< TBaseIterator, TValue >::operator-> | ( |  | ) | const
| inlinenoexcept

The documentation for this class was generated from the following file:

- include/osmium/object_pointer_collection.hpp